curl --request PUT \
--url https://api.meuassistente.rdstationmentoria.com.br/rest/agents/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": null,
"avatar": null,
"color": "#ff5722",
"welcome": null,
"instructions": null,
"off": null,
"references": false,
"purpose": "leads",
"freedom": "restricted",
"behavior_type": "basic",
"status": "draft",
"left": false,
"kbs": [],
"destinations": [],
"fields": [],
"behavior": {
"answerLength": "short",
"personality": "personal",
"engagement": "active"
},
"connections": []
}
'import requests
url = "https://api.meuassistente.rdstationmentoria.com.br/rest/agents/{id}"
payload = {
"name": "<string>",
"description": None,
"avatar": None,
"color": "#ff5722",
"welcome": None,
"instructions": None,
"off": None,
"references": False,
"purpose": "leads",
"freedom": "restricted",
"behavior_type": "basic",
"status": "draft",
"left": False,
"kbs": [],
"destinations": [],
"fields": [],
"behavior": {
"answerLength": "short",
"personality": "personal",
"engagement": "active"
},
"connections": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: null,
avatar: null,
color: '#ff5722',
welcome: null,
instructions: null,
off: null,
references: false,
purpose: 'leads',
freedom: 'restricted',
behavior_type: 'basic',
status: 'draft',
left: false,
kbs: [],
destinations: [],
fields: [],
behavior: {answerLength: 'short', personality: 'personal', engagement: 'active'},
connections: []
})
};
fetch('https://api.meuassistente.rdstationmentoria.com.br/rest/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Atualizar assistente
Atualiza os dados de um assistente.
Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parâmetros de caminho
Identificador do assistente
Corpo
Nome do assistente
Instruções ao modelo de IA para direcionar a geração de respostas desejadas
Avatar do assistente
Show child attributes
Show child attributes
Cor associada ao assistente
^#[0-9a-fA-F]{6}$Mensagem de boas-vindas do assistente
Instruções para o assistente
Mensagem quando o assistente não souber a resposta
Indica se o assistente usa referências
Finalidade do assistente
general, leads, cs Uso da base de conhecimento
free, restricted Configuração de comportamento do assistente
basic, custom Status do assistente
online, offline, draft Posição do widget do assistente à esquerda da tela
Bases de conhecimento associadas ao assistente
Identificador único da base de conhecimento
Destinos associados ao agente
Show child attributes
Show child attributes
Campos do assistente
Show child attributes
Show child attributes
Comportamento configurável do assistente
Show child attributes
Show child attributes
Conectores habilitados
Show child attributes
Show child attributes
Resposta
Successful response

